Services
All operations require authentication.
List Load Balancer servicesProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a Load Balancer serviceProduction
Path parameters
The internal name of your IP load balancing
Response
Set the name displayed in ManagerV6 for your iplb (max 50 chars)
IAM resource metadata
Your IP load balancing
The IPV4 associated to your IP load balancing
The IPV6 associated to your IP load balancing
The metrics token associated with your IP load balancing
The offer of your IP load balancing
Available additional zone for your Load Balancer
The internal name of your IP load balancing
Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.
intermediatemodernCurrent state of your IP
blacklisteddeletedfreeokquarantinedsuspendedVrack eligibility
Name of the vRack on which the current Load Balancer is attached to, as it is named on vRack product
Location where your service is
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipLoadbalancing": "192.0.2.0", "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "metricsToken": "string", "offer": "string", "orderableZone": [ { "name": "string", "planCode": "string" } ], "serviceName": "string", "sslConfiguration": "intermediate", "state": "blacklisted", "vrackEligibility": true, "vrackName": "string", "zone": [ "string" ]}
Update a Load Balancer serviceProduction
Path parameters
The internal name of your IP load balancing
Request body (required)
Set the name displayed in ManagerV6 for your iplb (max 50 chars)
Your IP load balancing
The IPV4 associated to your IP load balancing
The IPV6 associated to your IP load balancing
The metrics token associated with your IP load balancing
The offer of your IP load balancing
Available additional zone for your Load Balancer
The internal name of your IP load balancing
Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.
intermediatemodernCurrent state of your IP
blacklisteddeletedfreeokquarantinedsuspendedVrack eligibility
Name of the vRack on which the current Load Balancer is attached to, as it is named on vRack product
Location where your service is
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ipLoadbalancing/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"